Core - Bug # 51093

Task # 49162 (Resolved): Rewrite install tool

Status: New Priority: Must have
Author: Christian Kuhn Category: 7 Install Improvements
Created: 2013-08-15 Assigned To:

Updated: 2015-07-13 Due date:

TYPO3 Version: 6.2

PHP Version: 54

Complexity: easy

Is Regression: No

Sprint Focus:

Subject: Create database "databaseName" not escaped ...

Description

This might fail with "-" sign in database name and is also a possible sqli?

6.2 only, TYPO3\CMS\Install\Controller\Action\Step\DatabaseSelect

History

#1 - 2013-10-11 14:32 - Nicole Cordes
- Is Regression set to No

This can't be handly by dbal so we should not support it in the install tool.

#2 - 2014-12-23 19:56 - Mathias Schreiber

- Target version changed from next-patchlevel to 7.4 (Backend)

#3 - 2015-07-13 19:42 - Susanne Moog
- Category changed from Install Tool to 7 Install Improvements
